"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.pickRandom = exports.random = void 0;
/**
 * Pick a random number between min and max, 0 and min or 0 and 1
 * @param {number} min
 * @param {number} max
 */
var random = function (min, max) {
    if (min === void 0) { min = 0; }
    if (min >= 0 && typeof max === 'undefined') {
        max = min;
        min = 0;
    }
    var range = (max !== null && max !== void 0 ? max : 1) - min;
    return min + Math.random() * range;
};
exports.random = random;
/**
 * Pick a random element from the given array
 * @param {unknown[]} array
 */
var pickRandom = function (array) { return array[Math.floor(exports.random(array.length))]; };
exports.pickRandom = pickRandom;
